Package com.sas.lsaf.security.user

## Class PasswordInfo

- java.lang.Object
- - com.sas.lsaf.security.user.PasswordInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PasswordInfo
      extends java.lang.Object
      implements java.io.Serializable

  User account password information that details when the password was created, when it expires, and whether it is currently expired.
  Since:
    1.2
  See Also:
    `User.getPasswordInfo()`, `UserService.getUserByUserId(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordInfo​(java.util.Date created, java.util.Date expiration, boolean expired)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getCreated()` | Gets the creation date of the password.
    `java.util.Date` | `getExpiration()` | Gets the expiration date for the password.
    `int` | `hashCode()` |
    `boolean` | `isExpired()` | Returns the Boolean value that represents whether the password has expired.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordInfo

          public PasswordInfo​(java.util.Date created,
                              java.util.Date expiration,
                              boolean expired)

      Constructor.
      Parameters:
        `created` - the date the password was created.
        `expiration` - the expiration date of the password.
        `expired` - the Boolean value that represents whether the password has expired.

  - ### Method Detail

    - #### getCreated

          public java.util.Date getCreated()

      Gets the creation date of the password.
      Returns:
        The date the password was created.

    - #### getExpiration

          public java.util.Date getExpiration()

      Gets the expiration date for the password.
      Returns:
        The expiration date of the password.

    - #### isExpired

          public boolean isExpired()

      Returns the Boolean value that represents whether the password has expired.
      Returns:
        The Boolean value that represents whether the password has expired.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`